# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94"
name = "ruff_linter"
version = "0.15.20"
authors = ["Charlie Marsh <charlie.r.marsh@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "This is an internal component crate of Ruff"
homepage = "https://docs.astral.sh/ruff"
documentation = "https://docs.astral.sh/ruff"
readme = "README.md"
license = "MIT"
repository = "https://github.com/astral-sh/ruff"
resolver = "2"

[features]
default = []
schemars = [
    "dep:schemars",
    "ruff_python_ast/schemars",
]
test-rules = []
testing = []

[lib]
name = "ruff_linter"
path = "src/lib.rs"

[dependencies.aho-corasick]
version = "1.1.3"

[dependencies.anyhow]
version = "1.0.80"

[dependencies.bitflags]
version = "2.5.0"

[dependencies.clap]
version = "4.5.3"
features = [
    "derive",
    "derive",
    "string",
]
optional = true

[dependencies.colored]
version = "3.0.0"

[dependencies.compact_str]
version = "0.9.0"

[dependencies.fern]
version = "0.7.0"

[dependencies.glob]
version = "0.3.1"

[dependencies.globset]
version = "0.4.14"

[dependencies.hashbrown]
version = "0.17.0"
features = ["inline-more"]
default-features = false

[dependencies.imperative]
version = "1.0.4"

[dependencies.is-macro]
version = "0.3.5"

[dependencies.itertools]
version = "0.15.0"

[dependencies.jiff]
version = "0.2.0"

[dependencies.libcst]
version = "1.8.4"
default-features = false

[dependencies.log]
version = "0.4.17"

[dependencies.memchr]
version = "2.7.1"

[dependencies.natord]
version = "1.0.9"

[dependencies.path-absolutize]
version = "3.1.1"
features = [
    "once_cell_cache",
    "use_unix_paths_on_wasm",
]

[dependencies.pep440_rs]
version = "0.7.1"

[dependencies.pyproject-toml]
version = "0.13.4"

[dependencies.regex]
version = "1.10.2"

[dependencies.ruff_cache]
version = "0.0.3"

[dependencies.ruff_db]
version = "0.0.3"
features = [
    "junit",
    "serde",
]
default-features = false

[dependencies.ruff_diagnostics]
version = "0.0.3"
features = ["serde"]

[dependencies.ruff_macros]
version = "0.0.3"

[dependencies.ruff_notebook]
version = "0.0.3"

[dependencies.ruff_python_ast]
version = "0.0.3"
features = [
    "serde",
    "cache",
]

[dependencies.ruff_python_codegen]
version = "0.0.3"

[dependencies.ruff_python_importer]
version = "0.0.3"

[dependencies.ruff_python_index]
version = "0.0.3"

[dependencies.ruff_python_literal]
version = "0.0.3"

[dependencies.ruff_python_parser]
version = "0.0.3"

[dependencies.ruff_python_semantic]
version = "0.0.3"

[dependencies.ruff_python_stdlib]
version = "0.0.3"

[dependencies.ruff_python_trivia]
version = "0.0.3"

[dependencies.ruff_ranged_value]
version = "0.0.2"

[dependencies.ruff_source_file]
version = "0.0.3"
features = ["serde"]

[dependencies.ruff_text_size]
version = "0.0.3"

[dependencies.rustc-hash]
version = "2.0.0"

[dependencies.schemars]
version = "1.0.4"
optional = true

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.113"

[dependencies.similar]
version = "3.0.0"
features = ["inline"]

[dependencies.smallvec]
version = "1.13.2"
features = [
    "union",
    "const_generics",
    "const_new",
]

[dependencies.strum]
version = "0.28.0"
features = ["strum_macros"]

[dependencies.strum_macros]
version = "0.28.0"

[dependencies.thiserror]
version = "2.0.0"

[dependencies.toml]
version = "1.0.0"

[dependencies.typed-arena]
version = "2.0.2"

[dependencies.unicode-normalization]
version = "0.1.23"

[dependencies.unicode-width]
version = "0.2.0"

[dependencies.unicode_names2]
version = "1.2.2"

[dependencies.url]
version = "2.5.0"

[dev-dependencies.colored]
version = "3.0.0"
features = ["no-color"]

[dev-dependencies.insta]
version = "1.35.1"
features = [
    "filters",
    "json",
    "redactions",
]

[dev-dependencies.tempfile]
version = "3.9.0"

[dev-dependencies.test-case]
version = "3.3.1"

[lints.clippy]
char_lit_as_u8 = "allow"
collapsible_else_if = "allow"
collapsible_if = "allow"
collapsible_match = "allow"
dbg_macro = "warn"
debug_assert_with_mut_call = "warn"
disallowed_methods = "allow"
empty_drop = "warn"
empty_structs_with_brackets = "warn"
exit = "warn"
get_unwrap = "warn"
if_not_else = "allow"
ignore_without_reason = "allow"
implicit_hasher = "allow"
iter_over_hash_type = "warn"
large_stack_arrays = "allow"
map_unwrap_or = "allow"
match_same_arms = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
needless_continue = "allow"
needless_raw_string_hashes = "allow"
print_stderr = "warn"
print_stdout = "warn"
rc_buffer = "warn"
rc_mutex = "warn"
redundant_clone = "warn"
rest_pat_in_fully_bound_structs = "warn"
similar_names = "allow"
single_match_else = "allow"
too_many_lines = "allow"
unnecessary_debug_formatting = "allow"
unused_peekable = "warn"

[lints.clippy.pedantic]
level = "warn"
priority = -2

[lints.rust]
unreachable_pub = "warn"
unsafe_code = "warn"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = [
    "cfg(fuzzing)",
    "cfg(codspeed)",
]
